%define	name	ratpoison 
%define version 1.3.0
%define release 4mdk

Name:		%{name}
Summary:	Ratpoison is a simple Window Manager largely modelled after Screen
Group:		Graphical desktop/Other
Version:	%{version}
Release:	%{release}
License:	GPL 
URL:		http://ratpoison.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Packager:	Antoine Ginies <aginies@mandrakesoft.com>
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	XFree86-devel readline-devel

%description
Ratpoison is a simple window manager with no large library dependencies,
no fancy graphics, no window decorations, and no rodent dependence. It
is largely modeled after GNU Screen, which has done wonders in the
virtual terminal market. All interaction with the window manager is done
through keystrokes. ratpoison has a prefix map to minimize the key
clobbering that cripples EMACS and other quality pieces of software. All
windows are maximized and kept maximized to avoid wasting precious
screen space. 

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf %{buildroot}/usr/share/doc/%{name}

# startfile
%{__cat} > $RPM_BUILD_ROOT%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

# session file
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/16%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/start%{name}
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/start%{name}
EOF


%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc INSTALL README TODO doc/ipaq.ratpoisonrc doc/sample.ratpoisonrc AUTHORS COPYING contrib/genrpbindings contrib/split.sh NEWS
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/16%{name}
%attr(644,root,root) %{_mandir}/man1/%{name}.1*
%attr(644,root,root) %{_infodir}/%{name}.info*
%{_datadir}/%{name}
%defattr(755,root,root,755)
%{_bindir}/start%{name}
%{_bindir}/%{name}
%{_bindir}/rpws

%changelog
* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0-4mdk
- Rebuild

* Fri Oct 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.0-3mdk
- 1.3.0 final
- clean docs install

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.0-2mdk
- buildrequires

* Wed Jan  7 2004 Antoine Ginies <aginies@no.mandrakesoft.com> 1.3.0-1mdk
- release 1.3.0rc1

* Mon Aug 18 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 1.2.2-3mdk
- rebuild 9.2

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.2.2-2mdk
- fix buildrequires (from Michael Scherer <scherer.michael@free.fr>)

* Sun Jun 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.2.2-1mdk
- 1.2.2
- rm -rf $RPM_BUILD_ROOT in correct stage
- cleanups
- drop lib requires, rpm will figure it out by itself
- drop useless Prefix tag
- drop useless Provides tag
- drop useless libnamifaction stuff (w00t? not a single lib, m0000h!)
- added start and session file
- fix problem with info

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.1.1-2mdk
- rebuild for new glibc
- correct some spec file problem

* Tue Oct 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1.1-1mdk
- first release for mandrakesoft
